Bem-vindo ao nosso novo hub de docs! Central de Ajuda + Docs para Desenvolvedores em um só lugar.
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/dashboards/{dashboardId} \
--header 'Authorization: Bearer <token>'{
"dashboard": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"layout": {
"version": 1,
"cols": 24,
"rowHeight": 136
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
},
"widgets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"widget_type": "<string>",
"position": {
"x": 24,
"y": 1,
"w": 24,
"h": 24
},
"config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Get a single dashboard with its widget set in the active brand. Members can read.
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/dashboards/{dashboardId} \
--header 'Authorization: Bearer <token>'{
"dashboard": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"layout": {
"version": 1,
"cols": 24,
"rowHeight": 136
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
},
"widgets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"widget_type": "<string>",
"position": {
"x": 24,
"y": 1,
"w": 24,
"h": 24
},
"config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
The workspace ID
^ws_[a-z0-9]+$